Summary: The most commonly-used entries in the /dev directory.
Name: dev
Version: 2.7.24
Release: 1.0.7
Source0: dev-%{PACKAGE_VERSION}.tar.gz
Copyright: public domain
Group: System Environment/Base
Buildroot: %{_tmppath}/%{name}-root
Autoreqprov: no
Prefix: /dev
Requires: shadow-utils >= 1:970616-7
Prereq: mktemp grep sed fileutils textutils
Prereq: shadow-utils
Vendor: Guardian Digital

%description
The Guardian Digital Linux Lockbox uses file system entries to represent
devices (CD-ROMs, floppy drives, etc.) attached to the machine. All of
these entries are in the /dev tree (although they don't have to be). 
This package contains the most commonly used /dev entries.  

The dev package is a basic part of your Linux system and it needs
to be installed.

%prep
%setup -c -T

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
BUILD_DIR=`pwd`

# unpack in build root
cd $RPM_BUILD_ROOT
tar xpSzf %{SOURCE0}

cd $RPM_BUILD_ROOT/dev

# build the file list
cd $BUILD_DIR
(cd $RPM_BUILD_ROOT/dev; ls) | sed 's,^,/dev/,' | sed '{
  /\/dev\/log$/ s/^/%ghost /
  /\/dev\/fd..*/ s/^/%verify(not group,mode,mtime) /
  /\/dev\/fb.*/ s/^/%verify(not group,mode,mtime) /
  /\/dev\/vtx.*/ s/^/%verify(not group,mode,mtime) /
  /\/dev\/vbi.*/ s/^/%verify(not group,mode,mtime) /
  /\/dev\/kbd.*/ s/^/%verify(not group,mode,mtime) /
  /\/dev\/cua.*/ s/^/%verify(not group,mode,mtime) /
  /\/dev\/tty[SCDEIMR].*/ s/^/%verify(not group,mode,mtime) /
  /\/dev\/tty[a-s].$/ s/^/%verify(size) /
  /\/dev\/pty.*/ s/^/%verify(size) /
  /\/dev\/raw\/.*/ s/^/%verify(not user,group,mode,mtime) /
}' > filelist
# that "size" should really be "maj,min" but rpm doesn't
# follow Maximum RPM's documentation of %verify...

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 19 -r -f floppy
/usr/sbin/groupadd -g 31 -r -f console

%post
if [ -f /etc/fstab ] ; then
    # note that we do not disallow comments; we wish to allow people
    # to comment it out if they so desire.
    if [ $(grep '/proc' /etc/fstab 2>/dev/null | wc -l) -gt 1 ] ; then
      # ugly but robust
      echo '
none                    /dev/pts                devpts  gid=5,mode=620        0 0' \
        >> /etc/fstab || { echo "failed to add devpts filesystem to /etc/fstab" 1>&2 ; exit 1 ; }
    else
      # beautiful in the common case
      TMP=$(mktemp /tmp/fstab.XXXXXX)
      sed '/\/proc/a\
none                    /dev/pts                devpts  gid=5,mode=620        0 0
          ' < /etc/fstab > $TMP && cat $TMP > /etc/fstab || { echo "failed to add devpts filesystem to /etc/fstab" 1>&2 ; exit 1 ; }
      rm -f $TMP
    fi
fi

%files -f filelist

%changelog
* Tue Mar 27 2001 Pete O'Hara <pete@guardiandigital.com>
- added loop back devices loop[0-7] 

* Mon Feb 05 2001 Pete O'Hara <pete@guardiandigital.com>
- added /dev/hdd1-7

* Thu Dec 07 2000 Pete O'Hara <pete@guardiandigital.com>
- bumped up the version number so that proper tarball
	is installled 

* Sun Dec 03 2000 Dave Wreski <dave@guardiandigital.com>
- added SCSI tape devices

* Fri Nov 24 2000 Pete O'Hara <pete@guardiandigital.com>
- added hdc[1-8] devices

* Sun Nov 19 2000 Dave Wreski <dave@guardiandigital.com>
- removed lp and tty[t-z] devices

* Wed May 31 2000 Pete O'Hara <pete@guardiandigital.com>
- added only necessary devices
